Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component
Interface Component

All Known Subinterfaces:
  AAManager, RequestAnalyzer, RequestInterpretImplMBean, RequestProcessor, UICreator

All Known Implementing Classes:
  ComponentBase, DefaultAAManager, DefaultRequestAnalyzer, DefaultRequestProcessor, DefaultUICreator, NullAAManager, TLEController

    public interface Component

틀 프레임워크에서 사용되는 모든 컴포넌트가 구현해야 하는 인터페이스이다.

컴포넌트의 라이프사이클과 관련된 메소드를 제공한다.

틀 프레임워크에 등록되는 모든 컴포넌트는 JMX MBean 서버에 MBean으로 등록되어야 하기 때문에 틀 프레임워크의 컴포넌트는 MBean이어야 한다.

Since:
  2.0
Author:
  최범균

Method Summary
`void` | `close()` 컴포넌트를 종료한다.
`java.lang.String` | `getID()` 컴포넌트의 아이디를 구한다.
`void` | `init(ComponentConfig config)` 컴포넌트를 초기화한다.
`boolean` | `isClosed()` 컴포넌트가 종료됨 상태인 경우 true를 리턴한다.
`boolean` | `isClosing()` 컴포넌트가 종료중 상태인 경우 true를 리턴한다.
`boolean` | `isCreated()` 컴포넌트가 생성된 상태인 경우 true를 리턴한다.
`boolean` | `isErrorOccured()` 컴포넌트가 에러처리중 상태인 경우 true를 리턴한다.
`boolean` | `isInited()` 컴포넌트가 초기화됨 상태인 경우 true를 리턴한다.
`boolean` | `isIniting()` 컴포넌트가 초기화중 상태인 경우 true를 리턴한다.
`boolean` | `isResuming()` 컴포넌트가 재계중인 상태인 경우 true를 리턴한다.
`boolean` | `isRunning()` 컴포넌트가 실행중인 상태인 경우 true를 리턴한다.
`boolean` | `isStarting()` 컴포넌트가 시작중인 상태인 경우 true를 리턴한다.
`boolean` | `isStopped()` 컴포넌트가 정지됨 상태인 경우 true를 리턴한다.
`boolean` | `isStopping()` 컴포넌트가 정지중 상태인 경우 true를 리턴한다.
`boolean` | `isSuspended()` 컴포넌트가 지연된 상태인 경우 true를 리턴한다.
`boolean` | `isSuspending()` 컴포넌트가 지연중인 상태인 경우 true를 리턴한다.
`void` | `resume()` 일시 정지된 컴포넌트의 동작을 재게한다.
`void` | `start()` 컴포넌트를 구동한다.
`void` | `stop()` 컴포넌트를 정지한다.
`void` | `suspend()` 컴포넌트의 동작을 일시 정지한다.

Method Detail

### getID

    java.lang.String getID()

  컴포넌트의 아이디를 구한다.

  Returns:

### init

    void init(ComponentConfig config)
              throws ComponentException

  컴포넌트를 초기화한다.

  Parameters:
    `config` - 컴포넌트의 설정 정보를 담고 있다.
  Throws:
    `ComponentException`

### start

    void start()
               throws ComponentException

  컴포넌트를 구동한다.

  Throws:
    `ComponentException`

### suspend

    void suspend()
                 throws ComponentException

  컴포넌트의 동작을 일시 정지한다.

  Throws:
    `ComponentException`

### resume

    void resume()
                throws ComponentException

  일시 정지된 컴포넌트의 동작을 재게한다.

  Throws:
    `ComponentException`

### stop

    void stop()
              throws ComponentException

  컴포넌트를 정지한다.

  Throws:
    `ComponentException`

### close

    void close()
               throws ComponentException

  컴포넌트를 종료한다.

  Throws:
    `ComponentException`

### isCreated

    boolean isCreated()

  컴포넌트가 생성된 상태인 경우 true를 리턴한다.

  Returns:

### isIniting

    boolean isIniting()

  컴포넌트가 초기화중 상태인 경우 true를 리턴한다.

  Returns:

### isInited

    boolean isInited()

  컴포넌트가 초기화됨 상태인 경우 true를 리턴한다.

  Returns:

### isStarting

    boolean isStarting()

  컴포넌트가 시작중인 상태인 경우 true를 리턴한다.

  Returns:

### isRunning

    boolean isRunning()

  컴포넌트가 실행중인 상태인 경우 true를 리턴한다.

  Returns:

### isSuspending

    boolean isSuspending()

  컴포넌트가 지연중인 상태인 경우 true를 리턴한다.

  Returns:

### isSuspended

    boolean isSuspended()

  컴포넌트가 지연된 상태인 경우 true를 리턴한다.

  Returns:

### isResuming

    boolean isResuming()

  컴포넌트가 재계중인 상태인 경우 true를 리턴한다.

  Returns:

### isStopping

    boolean isStopping()

  컴포넌트가 정지중 상태인 경우 true를 리턴한다.

  Returns:

### isStopped

    boolean isStopped()

  컴포넌트가 정지됨 상태인 경우 true를 리턴한다.

  Returns:

### isClosing

    boolean isClosing()

  컴포넌트가 종료중 상태인 경우 true를 리턴한다.

  Returns:

### isClosed

    boolean isClosed()

  컴포넌트가 종료됨 상태인 경우 true를 리턴한다.

  Returns:

### isErrorOccured

    boolean isErrorOccured()

  컴포넌트가 에러처리중 상태인 경우 true를 리턴한다.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD